# actmap server imitation *very quick* workaround
#
# You will have to modify the procedures and asrv scripts
# to suit your specific needs.
#
# load asrv procedures from actmap shell with
#   source asrv.tcl
# activate background process from actmap shell with
#   asrvProcess
# start a time limited server from actmap shell with
#   asrvMy
#
# now enter some action e.g. in a xterm a remote remote command:
#   echo "\$w move germany 50 30" >>asrv.log
# Command execution will be slightly delayed due to the
# various actions that are taken. As long as the log-file
# isn't cleaned it contains a complete history of the commands
# that have been sent.
# Remember that if you use an time limited server commands will
# only be evaluated as long as the procedure is running.
# You can reactivate the time limited server by starting it
# again e.b. by calling asrvMy. You need not run asrvProcess
# again a long as it is running and you do not want to change
# anything in it's configuration.
#
# Any way you get some program to append valid actmap commands
# to this log file might work.
#

# This does not need to be started every time the temporary
# log-watch is started as every instance uses it's own process
# and we do not control processes.
proc asrvProcess { } {
  if { [catch {
    exec perl /home/cpr/bin/atchange asrv.log asrvcmd.sh &
  } asrvtmpcatch ] } {
    puts "$asrvtmpcatch"
#    "$asrvtmpcatch"
  }
}

#
# Very simple time limited server-like log-watch
#
proc asrvMy { } {

for {set ll 10} {$ll <= 90000} {incr ll 1000} {
  catch {
    after [expr $ll * 1] source asrv.tmp
  }
  catch {
    after [expr $ll * 2] exec echo "" > asrv.tmp
  }
}

}

#asrvProcess
#asrvMy

##EOF:
