#!/usr/bin/perl
#
# gbase2b -- (C) Claus-Peter Rckemann, 1998
#

eval 'exec /usr/bin/perl -S $0 ${1+"$@"}'
	if $running_under_some_shell;

while ($ARGV[0] =~ /^-/) {
    $_ = shift;
  last if /^--/;
    if (/^-n/) {
	$nflag++;
	next;
    }
    die "I don't recognize this switch: $_\\n";
}
$printit++ unless $nflag;

$\ = "\n";		# automatically add newline on print

LINE:
while (<>) {
    chop;
    #
    # database keys
    #
    s/:c$/:country/g;
    s/:k$/:continent/g;
    s/:y$/:city/g;
    #
    # URL's and others (: is stored as \: inside the db)
    #
    s/(http)\\:/$1XCOLONX/g;
    s/(ftp)\\:/$1XCOLONX/g;
    s/(gopher)\\:/$1XCOLONX/g;
    s/(about)\\:/$1XCOLONX/g;
    #
    # text bindings
    #
    s/:(text_)(_name_):(\\*.*):(\\*.*):(\\*.*)$/:$1$5$2:$3:$4:$5/g;
    s/(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):text(\\*.*):(\\*.*):(\\*.*):(\\*.*)/$3 $1 $4 {showName "\$text$6$1"}/g;
    s/(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):notextname:(\\*.*):(\\*.*):(\\*.*)/$3 $1 $4 {showName $2}/g;
    #
    # other bindings
    #
    s/(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):l/$3 $1 $4 {$6}/g;
#    s/(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*)/\3 \1 \4 {\6"}/g;
    s/(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*):(\\*.*)/\3 \1 \4 {\6}/g;
    #
    # now exchange it for the real colon
    #
    s/XCOLONX/:/g;
    print if $printit;
}

##EOF:
