#!/bin/bash

#
# Use your preferred tmp directory herein.
#

# fixed here:
#export tmpdir=tmp

# ...or use actmap $path_tmp
export tmpdir="$2"

export arg_to_plot="$1"

#
# Creating the plot script ...
#

sed -e "s/^function_to_plot/$arg_to_plot/" \
    -e "s#xxtmpdirxx#$tmpdir#"   >$tmpdir'/usegnut-.tmp' <<'END_OF_FILE'
#
# sample plot wrapper
#

set autoscale xy
set grid
set xtics 5
set ytics 5
set ztics 20
set isosamples 20
set terminal tkcanvas
set output "xxtmpdirxx/usegnut.tmp"

set title "Function Plot" "Helvetica,20"

set zlabel "z-axis" 0,0
set ylabel "y-axis" 0,0
set xlabel "x-axis" 0,0

#splot x*y*sin(y),10*cos(x),-50*log(x)
function_to_plot

quit

##EOF:
END_OF_FILE

#
# Plotting via plot script.
#

gnuplot $tmpdir/usegnut-.tmp

##EOF:
